Bug 443903 - gnome-display-properties does not correctly setup displays
gnome-display-properties does not correctly setup displays
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 19:18 EDT by John (J5) Palmieri
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 18:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2008-04-23 19:18:53 EDT
Description of problem:

When I boot into X with my LCD monitor attached to my docking station it starts
up in a non-widescreen mode (by itself it correctly detects the laptop's screen
resolution).  When I go into gnome-display-properties to correct this and set it
to dual screen instead of cloned mode it flashes the screen and then does
nothing.  Setting it to any other mode also does not work.

This command I was using in F8 does work:

xrandr --output VGA --auto --output LVDS --auto --left-of VGA

It seems xrandr can correctly detect both monitor's resolutions and set them
accordingly so I don't think this is a driver issue.

How reproducible:

All the time

Steps to Reproduce:
1. run gnome-display-property and try to set the resolution
  
Actual results:

Monitors flash, nothing else happens

Expected results:

Correct resolutions set and every time I log in they are set to that resolutions
without an issue.
Comment 1 Søren Sandmann Pedersen 2008-04-25 20:33:04 EDT
When you run the capplet, can you drag the monitor around?
Comment 2 John (J5) Palmieri 2008-04-27 12:04:58 EDT
This is a rawhide-f9 bug not f8 - changing.

Yes I can drag the monitors around.  I'm pulling down your new build with NULL
pointer fixes and will check with an external monitor but from what I have
observed so far, when putting my system into dual monitor mode with the xrandr
command I can then drag the monitors around each other.  This had an interesting
effect of sometimes having a monitor be mostly outside the clickable area.  In
any case applying changes did not cause the mouse warp to follow the order the
screens were in.

Comment 3 John (J5) Palmieri 2008-04-27 12:27:02 EDT
Ok, seems to work now. I'll have to test it on my flat panel when get into work
on Monday.  A couple of other issues:

* native resolution is not marked so choosing the highest resolution (what most
people would do) causes teh display to be scaled.

* Capplet does not remember my settings when plugging into the same monitor.  I
would like it to default to the last configuration for that monitor (or at least
monitor type if we can't get unique info) to be applied when I click the detect
devices button.

Should I file the above or are you working on that?
Comment 4 John (J5) Palmieri 2008-04-28 09:56:02 EDT
I spoke too soon.  It seems to not like my monitor attached to my docking
station at work.  It worked fine on my father's dell flat panel but not on my acer.
Comment 5 Søren Sandmann Pedersen 2008-04-30 18:24:25 EDT
Should be fixed in 

     gnome-desktop-2.22.1-4.fc9

I will ask rel-eng to tag it.

Please do file a bug about the "unmarked native resolution" against the
gnome-control-center at bugzilla.gnome.org and copy "sandmann@daimi.au.dk".

Note You need to log in before you can comment on or make changes to this bug.